#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, l;
    cin>>n>>l;
    for(int i = 0; i < n; i++)
    {
        int o;
        cin>>o;
        if(l >= o)
        {
            cout<<i+1;
            return 0;
        }
    }

    cout<<-1;
    return 0;
}